<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">

<h:head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"/>
    <title>Task Manager</title>
</h:head>

<h:body>
    <div class="ui-g-8 ui-g-offset-2">
        <h:form>
            <p:menubar>
                <p:menuitem value="Main" url="/"/>
                <p:menuitem value="Projects" url="/project/list"/>
                <p:menuitem value="Tasks" url="/task/list"/>
                <f:facet name="options">
                    <p:linkButton styleClass="buttons" value="Login" outcome="pretty:loginUser"
                                  rendered="#{empty request.remoteUser}"/>
                    <p:linkButton styleClass="buttons" value="Logout" outcome="pretty:logoutUser"
                                  rendered="#{not empty request.remoteUser}"/>
                </f:facet>
            </p:menubar>
        </h:form>
        <ui:insert name="content"/>
    </div>
</h:body>

</html>